
import mods.artisanworktables.builder.RecipeBuilder;

print("Initializing 'NA04 - ZCM/Composite Alterlite recipes and content for New Alterlite'...");

// ZCM Makeshift Furnace -- Deprecated, will be removed.
/*
recipes.addShaped("zcm_furnace", <zcm_alterlite:makeshiftfurnace>, 
	[[<ore:logWood>, <ore:plankWood>, <ore:logWood>], 
	[<ore:logWood>, <ore:plankWood>, <ore:logWood>], 
	[<minecraft:clay_ball>, <minecraft:clay_ball>, <minecraft:clay_ball>]]);

print("Making sure this mod is disabled. If you can see this, the script is not properly configured!");
*/

// See 1x_artisan_x.zs scripts for labyrinth blocks recipes and the sort.

// Composite Block Recipe
RecipeBuilder.get("mason")
  .setShaped([
    [<zcm_comalterlite:syntheticsand>, <zcm_comalterlite:syntheticdirt>, <zcm_comalterlite:syntheticsand>],
    [<zcm_comalterlite:syntheticdirt>, <ore:ingotIron>, <zcm_comalterlite:syntheticdirt>],
    [<zcm_comalterlite:syntheticsand>, <zcm_comalterlite:syntheticdirt>, <zcm_comalterlite:syntheticsand>]])
  .addOutput(<zcm_comalterlite:compositeblock> * 4)
  .addTool(<ore:artisansSifter>, 8)
  .addTool(<ore:artisansBurner>, 8)
  .setName("na04_zcm_ca_composite_block_recipe")
  .create();

// Synthetic Dirt
recipes.addShaped("zcm_ca_synthetic_dirt_recipe", <zcm_comalterlite:syntheticdirt>, 
	[[<ore:itemRubber>, <ore:dirt>, null], 
	[<ore:dirt>, <ore:itemRubber>, null], 
	[null, null, null]]);

// Synthetic Sand
recipes.addShaped("zcm_ca_synthetic_sand_recipe", <zcm_comalterlite:syntheticsand>, 
	[[<ore:itemRubber>, <ore:sand>, null], 
	[<ore:sand>, <ore:itemRubber>, null], 
	[null, null, null]]);

print("Initialization of 'NA04 - ZCM/Composite Alterlite recipes and content for New Alterlite' has been completed.");