
import mods.artisanworktables.builder.RecipeBuilder;

print("Initializing 'NA11 - Artisan Worktables Recipes for Labyrinth blocks and alike for New Alterlite'...");

//val mason = RecipeBuilder.get("mason");

// === First 6 ===
// Standard Labyrinth Block
RecipeBuilder.get("mason")
  .setShaped([
    [<zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>],
    [<zcm_comalterlite:compositeblock>, null, <zcm_comalterlite:compositeblock>],
    [<zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>]])
  .setFluid(<liquid:liquidarsanite> * 500)
  .addOutput(<zcm_comalterlite:labyrinth> * 8)
  .addTool(<ore:artisansFramingHammer>, 16)
  .addTool(<ore:artisansHammer>, 8)
  .setName("na11_mason_labyrinth_type_0")
  .create();

// Cade Labyrinth Block
RecipeBuilder.get("mason")
  .setShaped([
    [<zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>],
    [<zcm_comalterlite:compositeblock>, null, <zcm_comalterlite:compositeblock>],
    [<zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>]])
  .setFluid(<liquid:liquidarsanite> * 500)
  .addOutput(<zcm_comalterlite:labyrinth:1> * 8)
  .addTool(<ore:artisansFramingHammer>, 16)
  .addTool(<ore:artisansChisel>, 8)
  .setName("na11_mason_labyrinth_type_1")
  .create();

// White Labyrinth Block
RecipeBuilder.get("mason")
  .setShaped([
    [<zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>],
    [<zcm_comalterlite:compositeblock>, null, <zcm_comalterlite:compositeblock>],
    [<zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>]])
  .setFluid(<liquid:liquidarsanite> * 500)
  .addOutput(<zcm_comalterlite:labyrinth:2> * 8)
  .addTool(<ore:artisansFramingHammer>, 16)
  .addTool(<ore:artisansBurner>, 8)
  .setName("na11_mason_labyrinth_type_2")
  .create();

// Mundane Labyrinth Block
RecipeBuilder.get("mason")
  .setShaped([
    [<zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>],
    [<zcm_comalterlite:compositeblock>, null, <zcm_comalterlite:compositeblock>],
    [<zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>]])
  .setFluid(<liquid:liquidarsanite> * 500)
  .setSecondaryIngredients([<ore:dyeGray> * 8])
  .addOutput(<zcm_comalterlite:labyrinth:3> * 8)
  .addTool(<ore:artisansFramingHammer>, 16)
  .addTool(<ore:artisansBurner>, 8)
  .setName("na11_mason_labyrinth_type_3")
  .create();

// Stale Labyrinth Block
RecipeBuilder.get("mason")
  .setShaped([
    [<zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>],
    [<zcm_comalterlite:compositeblock>, null, <zcm_comalterlite:compositeblock>],
    [<zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>]])
  .setFluid(<liquid:liquidarsanite> * 500)
  .setSecondaryIngredients([<ore:dyeLightGray> * 8])
  .addOutput(<zcm_comalterlite:labyrinth:4> * 8)
  .addTool(<ore:artisansFramingHammer>, 16)
  .addTool(<ore:artisansBurner>, 8)
  .setName("na11_mason_labyrinth_type_4")
  .create();

// Yellow Labyrinth Block
RecipeBuilder.get("mason")
  .setShaped([
    [<zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>],
    [<zcm_comalterlite:compositeblock>, null, <zcm_comalterlite:compositeblock>],
    [<zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>]])
  .setFluid(<liquid:liquidarsanite> * 500)
  .setSecondaryIngredients([<ore:dyeYellow> * 8])
  .addOutput(<zcm_comalterlite:labyrinth:5> * 8)
  .addTool(<ore:artisansFramingHammer>, 16)
  .addTool(<ore:artisansBurner>, 8)
  .setName("na11_mason_labyrinth_type_5")
  .create();

// === Second 6 Set (Uses Coal Dust) ===
// Tallack Labyrinth Block
RecipeBuilder.get("mason")
  .setShaped([
    [<zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>],
    [<zcm_comalterlite:compositeblock>, null, <zcm_comalterlite:compositeblock>],
    [<zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>]])
  .setFluid(<liquid:liquidarsanite> * 500)
  .setSecondaryIngredients([<ore:dustCoal> * 8])
  .addOutput(<zcm_comalterlite:labyrinth:6> * 8)
  .addTool(<ore:artisansFramingHammer>, 16)
  .addTool(<ore:artisansGroover>, 8)
  .setName("na11_mason_labyrinth_type_6")
  .create();

// Hazardous Labyrinth Block
RecipeBuilder.get("mason")
  .setShaped([
    [<zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>],
    [<zcm_comalterlite:compositeblock>, null, <zcm_comalterlite:compositeblock>],
    [<zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>]])
  .setFluid(<liquid:liquidarsanite> * 500)
  .setSecondaryIngredients([<ore:dustCoal> * 8])
  .addOutput(<zcm_comalterlite:labyrinth:7> * 8)
  .addTool(<ore:artisansFramingHammer>, 16)
  .addTool(<ore:artisansKnife>, 8)
  .setName("na11_mason_labyrinth_type_7")
  .create();

// Axon Labyrinth Block
RecipeBuilder.get("mason")
  .setShaped([
    [<zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>],
    [<zcm_comalterlite:compositeblock>, null, <zcm_comalterlite:compositeblock>],
    [<zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>]])
  .setFluid(<liquid:liquidarsanite> * 500)
  .setSecondaryIngredients([<ore:dustCoal> * 8])
  .addOutput(<zcm_comalterlite:labyrinth:8> * 8)
  .addTool(<ore:artisansFramingHammer>, 16)
  .addTool(<ore:artisansCarver>, 8)
  .setName("na11_mason_labyrinth_type_8")
  .create();

// Gramm Labyrinth Block
RecipeBuilder.get("mason")
  .setShaped([
    [<zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>],
    [<zcm_comalterlite:compositeblock>, null, <zcm_comalterlite:compositeblock>],
    [<zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>]])
  .setFluid(<liquid:liquidarsanite> * 500)
  .setSecondaryIngredients([<ore:dustCoal> * 8])
  .addOutput(<zcm_comalterlite:labyrinth:9> * 8)
  .addTool(<ore:artisansFramingHammer>, 16)
  .addTool(<ore:artisansDriver>, 8)
  .setName("na11_mason_labyrinth_type_9")
  .create();

// Barned Labyrinth Block
RecipeBuilder.get("mason")
  .setShaped([
    [<zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>],
    [<zcm_comalterlite:compositeblock>, null, <zcm_comalterlite:compositeblock>],
    [<zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>]])
  .setFluid(<liquid:liquidarsanite> * 500)
  .setSecondaryIngredients([<ore:dustCoal> * 8])
  .addOutput(<zcm_comalterlite:labyrinth:10> * 8)
  .addTool(<ore:artisansFramingHammer>, 16)
  .addTool(<ore:artisansGemCutter>, 8)
  .setName("na11_mason_labyrinth_type_10")
  .create();

// Masked Labyrinth Block
RecipeBuilder.get("mason")
  .setShaped([
    [<zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>],
    [<zcm_comalterlite:compositeblock>, null, <zcm_comalterlite:compositeblock>],
    [<zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>, <zcm_comalterlite:compositeblock>]])
  .setFluid(<liquid:liquidarsanite> * 500)
  .setSecondaryIngredients([<ore:dustCoal> * 8])
  .addOutput(<zcm_comalterlite:labyrinth:11> * 8)
  .addTool(<ore:artisansFramingHammer>, 16)
  .addTool(<ore:artisansChisel>, 8)
  .setName("na11_mason_labyrinth_type_11")
  .create();

// More coming soon

print("Initialization of 'NA11 - Artisan Worktables Recipes for Labyrinth blocks and alike for New Alterlite' has been completed.");